{% load staticfiles %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Sensore Suite</title>
    {# {% if user.is_authenticated %} - {{ user.first_name }} {{ user.last_name }}{% endif %} #}
    <link rel="icon" href="{% static 'img/favicon.png' %}">
    <link rel="stylesheet" href="{% static 'node_modules/bootstrap/dist/css/bootstrap.css' %}">
    <link rel="stylesheet" href="{% static 'node_modules/bootstrap-select/dist/css/bootstrap-select.css' %}">
    <link rel="stylesheet" href="{% static 'css/main.css' %}">
    <link rel="stylesheet" href="{% static '/node_modules/@fortawesome/fontawesome-free/css/all.min.css' %}">
</head>
<body class="autoadapt">
    <script src="{% static 'node_modules/jquery/dist/jquery.js' %}"></script>
    <script src="{% static 'node_modules/popper.js/dist/umd/popper.js' %}"></script>
    <script src="{% static 'node_modules/bootstrap/dist/js/bootstrap.js' %}"></script>
    <script src="{% static 'node_modules/bootstrap-select/dist/js/bootstrap-select.js' %}"></script>
    <script src="{% static 'node_modules/@fortawesome/fontawesome-free/js/all.min.js' %}"></script>
    <script src="{% static 'js/utils.js' %}"></script>
    <script src="{% static 'js/ajaxEvents.js' %}"></script>
    <script src="{% static 'js/moment-with-locals.js' %}"></script>
    <nav class="navbar navbar-expand-lg bg-light navbar-primary">
        <a class="navbar-brand" href="{% url 'index' %}">
            <img src="{% static 'img/logo.png' %}" class="title-logo" alt="logo">
            Sensore Suite
{#            {% if user.is_authenticated %} - {{ user.first_name }}_{{ user.last_name }}{% endif %}#}
        </a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent">
            <span class="fas fa-bars"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav mr-auto">
                {% if user.is_superuser %}
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'admin:index' %}">Admin</a>
                    </li>
{#                    <li class="nav-item">#}
{#                        <a class="nav-link" id="btn-toggle-autoadapt" onclick="toggleAutoadapt()">#}
{#                            Rimuovi adattamento automatico interfaccia#}
{#                        </a>#}
{#                    </li>#}
                {% endif %}
                {% if user.is_authenticated %}
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'sensors' %}">Ultimi Rilevamenti</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'user_logout' %}">Logout</a>
                    </li>
                {% else %}
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'user_login' %}">Login</a>
                    </li>
                {% endif %}
            </ul>
        </div>
    </nav>
    {% block body_block %}
    {% endblock %}
	<div id="overlay" style="display: none;">
		<div class="fa fa-spinner fa-spin" ></div>
	</div>
    <script>
        const body = $('body');
        function toggleAutoadapt() {
            localStorage.setItem('NoAutoadapt', !body.hasClass('autoadapt') ? 'false' : 'true');
            setAutoAdapt();
        }
        function setAutoAdapt() {
            const isAuto = localStorage.getItem('NoAutoadapt') !== 'true';
            isAuto ? body.addClass('autoadapt') : body.removeClass('autoadapt');
            const text = isAuto
                ? "Rimuovi adattamento automatico interfaccia"
                : "Imposta adattamento automatico interfaccia";
            $("#btn-toggle-autoadapt").text(text);
        }
        setAutoAdapt();
    </script>
</body>
</html>